<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      lang="es"
      xmlns:p="http://primefaces.org/ui"
      xmlns:c="http://xmlns.jcp.org/jsp/jstl/core"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <title><ui:insert name="title">Default Title</ui:insert></title>
        <h:outputStylesheet name="css/jsfcrud.css"/>
        <link rel="stylesheet" type="text/css" href="../../Recursos/Css/general.css" />
        
    </h:head>

    <h:body>

        <p:tabView effect="#{tabBean.effect}" effectDuration="normal" style="height: auto;" >  
            <p:tab title="Mis datos"> 
                <p:accordionPanel multiple="true" binding="#{usrActual}" value="#{usuariosController.selected}" >  
                    <p:tab title="Cambiar foto">  
                        <h:form id="HojaVida" enctype="multipart/form-data">
                            <p:growl id="growlfoto" showDetail="true" /> 
                            <p:messages id="msgs1" autoUpdate="true"/>               
                            <h:panelGrid columns="2" style="margin-top:10px">

                                <p:commandLink id="fotoLink" onclick="fotoDialog.show()">
                                    <p:graphicImage value="#{pageContext.contextPath}/Recursos/Imagenes/perfil/default.png"
                                                    rendered="#{!photoCamBean.tieneFoto}" cache="false" style="height: 203px;"/>
                                    <p:graphicImage rendered="#{photoCamBean.tieneFoto}"
                                                    value="#{pageContext.contextPath}/Recursos/Imagenes/perfil/#{usuariosController.selected.usrFoto}"
                                                    cache="false" style="height: 203px;"/>
                                </p:commandLink>
                                    <p:growl id="messages" showDetail="true" />
                                    <p:fileUpload
                                        fileUploadListener="#{usuariosController.handleFileUploadFoto}"
                                        mode="advanced" update="messages" multiple="true"
                                        sizeLimit="900000000"
                                        allowTypes="/(\.|\/)(gif|jpe?g|png|txt)$/"
                                        uploadLabel="Cargar" cancelLabel="Cancelar" label="Buscar archivo"
                                        required="true" />
                            </h:panelGrid> 
 
                        </h:form>
                    </p:tab>
                    <p:tab title="Cambiar Datos" >
                        <ui:include src="/web/usuarios/Update.xhtml"/>
                    </p:tab>   
                    <p:tab title="Cambiar Contraseña">
                        <ui:include src="/web/usuarios/Clave.xhtml"/>
                    </p:tab>  
                </p:accordionPanel>   
            </p:tab>  


</html>
